Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.algorithms.optimization
Enum Optimizer.TerminationCondition

    java.lang.Object
      java.lang.Enum<Optimizer.TerminationCondition>
          de.jstacs.algorithms.optimization.Optimizer.TerminationCondition

All Implemented Interfaces:
  Serializable, Comparable<Optimizer.TerminationCondition>

Enclosing class:
  Optimizer

    public static enum Optimizer.TerminationCondition

extends Enum<Optimizer.TerminationCondition>

This enum defines all kinds of termination conditions for the `Optimizer`.

Author:
  Jens Keilwagen

Enum Constant Summary
`ABSOLUTE_VALUE` Deprecated.
`ITERATIONS` The optimization method will stop if the number of iteration reaches a given number.
`SMALL_DIFFERENCE_OF_FUNCTION_EVALUATIONS` The optimization method will stop if the difference of the current and the last function evaluations will be small.
`SMALL_GRADIENT` The optimization method will stop if the scalar product of the gradient will be small.
`SMALL_STEP` The optimization method will stop if the scalar product of the current and the last values of x will be small.
`TIME` The optimization method will stop if the elapsed time in seconds is greater than a given value or the difference between two function valuations become very small (less than 1E-13).

Method Summary
`static Optimizer.TerminationCondition` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Optimizer.TerminationCondition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SMALL_GRADIENT

    public static final Optimizer.TerminationCondition SMALL_GRADIENT

  The optimization method will stop if the scalar product of the gradient will be small.
  (In LaTeX notation: (\nabla f(x_i))^T \nabla f(x_i) < eps)

### SMALL_STEP

    public static final Optimizer.TerminationCondition SMALL_STEP

  The optimization method will stop if the scalar product of the current and the last values of x will be small.
  (In LaTeX notation: (x_i-x_{i-1})^T (x_i-x_{i-1}) < eps)

### SMALL_DIFFERENCE_OF_FUNCTION_EVALUATIONS

    public static final Optimizer.TerminationCondition SMALL_DIFFERENCE_OF_FUNCTION_EVALUATIONS

  The optimization method will stop if the difference of the current and the last function evaluations will be small.
  (In LaTeX notation: f(x_{i-1}) - f(x_i) < eps)

### ITERATIONS

    public static final Optimizer.TerminationCondition ITERATIONS

  The optimization method will stop if the number of iteration reaches a given number.
  (In LaTeX notation: i = eps)

### TIME

    public static final Optimizer.TerminationCondition TIME

  The optimization method will stop if the elapsed time in seconds is greater than a given value or the difference between two function valuations become very small (less than 1E-13).

### ABSOLUTE_VALUE

    public static final Optimizer.TerminationCondition ABSOLUTE_VALUE

  Deprecated.
  The optimization method will stop if the value of the function becomes less or equal to an absolute value.
  Be careful! If you set the value too low the method will not terminate.
  (In LaTeX notation: f(x_i) <= eps)

Method Detail

### values

    public static final Optimizer.TerminationCondition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Optimizer.TerminationCondition c : Optimizer.TerminationCondition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Optimizer.TerminationCondition valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD